Documentation Index Fetch the complete documentation index at: https://docs.prefect.io/llms.txt
Use this file to discover all available pages before exploring further.
prefect.client.cloud
Functions
get_cloud_client
get_cloud_client(host: Optional[ str ] = None , api_key: Optional[ str ] = None , httpx_settings: Optional[dict[ str , Any]] = None , infer_cloud_url: bool = False ) -> 'CloudClient'
Needs a docstring.
Classes
CloudUnauthorizedError
Raised when the CloudClient receives a 401 or 403 from the Cloud API.
CloudClient
Methods:
account_base_url
account_base_url( self ) -> str
api_healthcheck
api_healthcheck( self ) -> None
Attempts to connect to the Cloud API and raises the encountered exception if not
successful.
If successful, returns None.
check_ip_allowlist_access
check_ip_allowlist_access( self ) -> IPAllowlistMyAccessResponse
get
get( self , route: str , ** kwargs: Any) -> Any
raw_request
raw_request( self , method: str , path: str , params: dict[ str , Any] | None = None , path_params: dict[ str , Any] | None = None , ** kwargs: Any) -> httpx.Response
Make a raw HTTP request and return the Response object.
Unlike request(), this does not parse JSON or raise special exceptions,
returning the raw httpx.Response for direct access to headers, status, etc.
Args:
method: HTTP method (GET, POST, etc.)
path: API path/route
params: Query parameters
path_params: Path parameters for formatting
**kwargs: Additional arguments passed to httpx (json, headers, etc.)
Returns:
Raw httpx.Response object
read_account_ip_allowlist
read_account_ip_allowlist( self ) -> IPAllowlist
read_account_settings
read_account_settings( self ) -> dict[ str , Any]
read_current_workspace
read_current_workspace( self ) -> Workspace
read_worker_metadata( self ) -> dict[ str , Any]
read_workspaces
read_workspaces( self ) -> list[Workspace]
request
request( self , method: str , route: str , ** kwargs: Any) -> Any
update_account_ip_allowlist
update_account_ip_allowlist( self , updated_allowlist: IPAllowlist) -> None
update_account_settings
update_account_settings( self , settings: dict[ str , Any]) -> None
workspace_base_url
workspace_base_url( self ) -> str